win_postinstall.py(8B)

NAME
win_postinstall.py - For Windows. Configures PBS services

SYNOPSIS
<PBS_EXEC>\etc\python win_postinstall.py -u <PBS service account>
        -p <PBS service account password> [-t server]
<PBS_EXEC>\etc\python win_postinstall.py -u <PBS service account>
        -p <PBS service account password>
        -t <non-server installation type>
        -s <server name>

DESCRIPTION
The win_postinstall.py command configures PBS services. It performs post-installation steps such as validating the PBS service account username and password, installing the Visual C++ redistributable binary, creating PBS_HOME and the default queue, initializing the database, and registering and starting the PBS_SERVER, PBS_SCHED, PBS_MOM, PBS_COMM and PBS_RSHD PBS services. When you use this command during installation of PBS, the command automatically un-registers any old PBS services. Available on Windows only.

Required Privilege
You must have Administrator privilege to run this command.

Options to win_postinstall.py

p, --passwd <PBS service account password>
    Specifies password for PBS service account.

-s, --server <server name>
    Specifies the hostname on which the PBS server will run; required when the installation type is one of "execution", "client", or "comm".

-t, --type <installation type>
    Specifies type of installation. Type can be one of "server", "execution", "client", or "comm". Default is server installation.

-u, --user <PBS service account>
    Specifies PBS service account. When you specify the PBS service account, whether or not you are on a domain machine, include only the username, not the domain. For example, if the full username on a domain machine is <domain> \ <username> , pass only <username> as an argument.